#pragma once

#include "Mix/Tool/CLR/Core/Graphics/RootTransformVector.h"

namespace Mix{ namespace Tool{ namespace Graphics{

	public ref class RootTransformAxis
	{
	private:
		Mix::Tool::Graphics::RootTransformVector x;
		Mix::Tool::Graphics::RootTransformVector y;
		Mix::Tool::Graphics::RootTransformVector z;

	public:
		RootTransformAxis( void );
		RootTransformAxis( Mix::Tool::Graphics::RootTransformVector _x, Mix::Tool::Graphics::RootTransformVector _y, Mix::Tool::Graphics::RootTransformVector _z );

		property Mix::Tool::Graphics::RootTransformVector X
		{
			Mix::Tool::Graphics::RootTransformVector get( void );
			void set( Mix::Tool::Graphics::RootTransformVector value );
		}

		property Mix::Tool::Graphics::RootTransformVector Y
		{
			Mix::Tool::Graphics::RootTransformVector get( void );
			void set( Mix::Tool::Graphics::RootTransformVector value );
		}

		property Mix::Tool::Graphics::RootTransformVector Z
		{
			Mix::Tool::Graphics::RootTransformVector get( void );
			void set( Mix::Tool::Graphics::RootTransformVector value );
		}

		virtual System::String^ ToString() override;
		static RootTransformAxis^ Parse( System::String^ str );
	};

}}}
